.ol-attribution {
    position: absolute;
    text-align: right;
    bottom: 0;
    right: 0;
    padding: 6px;
    color: #000;
    color: rgba(238,238,238,1);
    background: rgba(0,60,136,0.3);
}

.ol-attribution a {
    text-decoration: none;
    color: #7b98bc;
    color: rgba(255,255,255,1);
}

.ol-attribution ul {
    margin: 0;
    padding: 0;
    font-size: 10px;
    line-height: 12px;
}

.ol-attribution li {
    display: inline;
    list-style: none;
    line-height: inherit;
}

.ol-attribution li:not(:last-child):after {
    content: "\002003";
}

.ol-attribution-bing-tos {
    float: right;
    padding-top: 2px;
    white-space: nowrap;
}

.ol-logo {
    bottom: 0;
    left: 0;
    padding: 2px;
    position: absolute;
}

.ol-logo ul {
    margin: 0;
    padding: 0;
}

.ol-logo ul li {
    display: inline;
    list-style: none;
}

.ol-mouse-position {
    top: 8px;
    right: 8px;
    position: absolute;
}

.ol-scale-line {
    background: #95b9e6;
    background: rgba(0,60,136,0.3);
    border-radius: 4px;
    bottom: 8px;
    left: 8px;
    padding: 2px;
    position: absolute;
}

.ol-scale-line-inner {
    border: 1px solid #eee;
    border-top: none;
    color: #eee;
    font-size: 10px;
    text-align: center;
    margin: 1px;
    padding: 0 2px;
}

.ol-unsupported {
    display: none;
}

.ol-viewport .ol-unselectable {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}

.ol-control {
    position: absolute;
    background-color: #eee;
    background-color: rgba(255,255,255,0.4);
    border-radius: 4px;
    padding: 2px;
}

.ol-control:hover {
    background-color: rgba(255,255,255,0.6);
}

.ol-zoom {
    top: .5em;
    left: .5em;
}

.ol-rotate {
    top: .5em;
    right: .5em;
    transition: opacity .25s;
}

.ol-zoom-extent {
    top: 4.643em;
    left: .5em;
}

.ol-full-screen {
    right: .5em;
    top: .5em;
}

@media print {
    .ol-control {
        display: none;
    }
}

.ol-control button {
    display: block;
    margin: 1px;
    padding: 0;
    color: white;
    font-size: 1.14em;
    font-weight: bold;
    text-decoration: none;
    text-align: center;
    height: 1.375em;
    width: 1.375em;
    line-height: .4em;
    background-color: #7b98bc;
    background-color: rgba(0,60,136,0.5);
    border: none;
    border-radius: 2px;
}

.ol-control button::-moz-focus-inner {
    border: none;
    padding: 0;
}

.ol-zoom-extent button {
    line-height: 1.4em;
}

.ol-compass {
    display: block;
    font-family: Arial;
    font-weight: normal;
    font-size: 1.2em;
}

.ol-touch .ol-control button {
    font-size: 1.5em;
}

.ol-touch .ol-zoom-extent {
    top: 5.5em;
}

.ol-control button:hover,.ol-control button:focus {
    text-decoration: none;
    background-color: #4c6079;
    background-color: rgba(0,60,136,0.7);
}

.ol-zoom-extent button:after {
    content: "E";
}

.ol-zoom .ol-zoom-in {
    border-radius: 2px 2px 0 0;
}

.ol-zoom .ol-zoom-out {
    border-radius: 0 0 2px 2px;
}

button.ol-full-screen-false:after {
    content: "\002194";
}

button.ol-full-screen-true:after {
    content: "\0000d7";
}

.ol-has-tooltip [role=tooltip] {
    position: absolute;
    clip: rect(1px 1px 1px 1px);
    clip: rect(1px,1px,1px,1px);
    padding: 0;
    border: 0;
    height: 1px;
    width: 1px;
    overflow: hidden;
    font-weight: normal;
    font-size: 14px;
    text-shadow: 0 0 2px #fff;
}

.ol-has-tooltip:hover [role=tooltip],.ol-has-tooltip:focus [role=tooltip] {
    -moz-box-sizing: content-box;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    clip: auto;
    padding: 0 .4em;
    font-size: .8em;
    height: 1.2em;
    width: auto;
    line-height: 1.2em;
    z-index: 1100;
    max-height: 100px;
    white-space: nowrap;
    display: inline-block;
    background: #fff;
    background: rgba(255,255,255,0.6);
    color: #000;
    border: 3px solid rgba(255,255,255,0);
    border-left-width: 0;
    border-radius: 0 4px 4px 0;
    bottom: .3em;
    left: 2.2em;
}

.ol-touch .ol-has-tooltip:hover [role=tooltip],.ol-touch .ol-has-tooltip:focus [role=tooltip] {
    display: none;
}

.ol-zoom .ol-has-tooltip:hover [role=tooltip],.ol-zoom .ol-has-tooltip:focus [role=tooltip] {
    top: 1.1em;
}

.ol-rotate .ol-has-tooltip:hover [role=tooltip],.ol-rotate .ol-has-tooltip:focus [role=tooltip],.ol-full-screen .ol-has-tooltip:hover [role=tooltip],.ol-full-screen .ol-has-tooltip:focus [role=tooltip] {
    right: 2.2em;
    left: auto;
    border-radius: 4px 0 0 4px;
}

.ol-zoomslider {
    position: absolute;
    top: 4.5em;
    left: .5em;
    background: #eee;
    background: rgba(255,255,255,0.4);
    border-radius: 4px;
    outline: none;
    overflow: hidden;
    width: 1.5675em;
    height: 200px;
    padding: 3px;
    margin: 0;
}

.ol-zoomslider-thumb {
    position: absolute;
    display: block;
    background: #7b98bc;
    background: rgba(0,60,136,0.5);
    border-radius: 2px;
    outline: none;
    overflow: hidden;
    cursor: pointer;
    font-size: 1.14em;
    height: 1em;
    width: 1.375em;
    margin: 3px;
    padding: 0;
}

.ol-touch .ol-zoomslider {
    top: 5.5em;
    width: 2.052em;
}

.ol-touch .ol-zoomslider-thumb {
    width: 1.8em;
}

.ol-control button,.ol-attribution,.ol-scale-line-inner,.ol-has-tooltip [role=tooltip] {
    font-family: 'Lucida Grande',Verdana,Geneva,Lucida,Arial,Helvetica,sans-serif;
}